<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
    th:replace="~{main-layout.html::main-fragment(~{::title},~{::#ajoutlivre-main-content})}">

<head>
    <meta charset="UTF-8">
    <title>Ajout d'un livre</title>
</head>

<body>
    <div class="container-fluid" id="ajoutlivre-main-content">
        <h1 class="text-center"> Ajouter un Livre</h1>
        <form method="post" th:action="@{/admin/livres/add}" th:object="${formlivre}" enctype="multipart/form-data">
            <div class="mb-2">
                <label for="titre" class="form-label">Titre</label>
                <input type="text" class="form-control" id="titre" th:field="*{titre}" th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('titre')}" th:errors="*{titre}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="annee" class="form-label">Année Sortie</label>
                <input type="number" class="form-control" id="annee" th:field="*{annee}"  th:errorclass="is-invalid"/>
                 <p th:if="${#fields.hasErrors('annee')}" th:errors="*{annee}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="prix" class="form-label">Prix</label>
                <input type="number" class="form-control" id="prix" th:field="*{prix}" step="0.01"  th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('prix')}" th:errors="*{prix}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="resume" class="form-label">Résumé</label>
                <input type="text" class="form-control" id="resume" th:field="*{resume}"  th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('resume')}" th:errors="*{resume}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="couverture" class="form-label">Couverture</label>
                <input type="file" class="form-control" id="couverture" th:field="*{couverture}"/>
              </div>
            <input class="btn btn-primary" type="submit" value="Ajouter"/>
            <input class="btn btn-danger" type="reset" value ="Ré-initialiser"/>
        </form>

    </div>
</body>

</html>